Bug 170374 - Review request: perl-capitalization - No capitalization on method names
Summary: Review request: perl-capitalization - No capitalization on method names
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: David Lawrence
URL: http://search.cpan.org/~miyagawa/capi...
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-10-11 05:40 UTC by Ralf Corsepius
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-20 06:20:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralf Corsepius 2005-10-11 05:40:17 UTC
Spec Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-capitalization.spec

SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-capitalization-0.03-1.src.rpm

Description:
No capitalization on method names

Comment 1 Ralf Corsepius 2005-10-11 05:43:35 UTC
Note:
This package is an optional dependency of upstream perl-DBIx-SearchBuilder
(DBIx::SearchBuilder > 1.27) and thereby an implicit/indirect, optional
dependency of rt3.

Comment 2 Paul Howarth 2005-10-19 10:10:35 UTC
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec
- spec file written in English and is legible
- sources match upstream
- package builds OK in mock for rawhide (i386)
- BR's OK
- no libraries, locales, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no desktop entry needed
- no scriptlets

Suggestions:

- http://search.cpan.org/dist/capitalization/ might be a better URL than
  http://search.cpan.org/~miyagawa/capitalization-%{version}/

- use "%{summary}." rather than just "%{summary}" for %description

Approved.



Note You need to log in before you can comment on or make changes to this bug.